<?php

namespace App\Http\Controllers;
use App\Models\data_distrik_deswita;
use App\Models\data_pribadi_deswita;
use Illuminate\Http\Request;
use App\Models\data_deswita;
use App\Http\Requests\Storedata_deswitaRequest;
use App\Http\Requests\Updatedata_deswitaRequest;

class DataDeswitaController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function savedatadeswita(Request $request){
        data_pribadi_deswita::create([
            "nip" => $request->nip,
            "nama_lengkap"=>$request->nama_lengkap,
            "pangkat"=>$request->pangkat,
            "jabatan"=>$request->jabatan,
            "instansi"=>$request->instansi,
            "kabupaten"=>$request->kabupaten,
            "phone_number"=>$request->phone_number,
            "pesan"=>$request->pesan,
            "alamat"=>$request->alamat
        ]);
        data_distrik_deswita::create([
            "nama_distrik"=>$request->nama_distrik,
            "jumlah_kampung"=>$request->jumlah_kampung,
            "jumlah_penduduk"=>$request->jumlah_penduduk
        ]);
        data_deswita::create([
            "pendidikan"=>$request->pendidikan,
            "atraksi"=>$request->atraksi,
            "amenitas"=>$request->amenitas,
            "aksesibilitas"=>$request->aksesibilitas,
            "kelembagaan"=>$request->kelembagaan,
            "jumlah_pokdarwis"=>$request->jumlah_pokdarwis,
            "jenis_pelatihan"=>$request->jenis_pelatihan,
            "kampung_binaan"=>$request->kampung_binaan,
            "jarak_tempuh_bandara"=>$request->jarak_tempuh_bandara,
            "jarak_tempuh_kampung"=>$request->jarak_tempuh_kampung,
            "sharing_information"=>$request->sharing_information,
        ]);
        $response = [
            'nip' => $request->nip,
            'nama_lengkap' => $request->nama_lengkap,
            'pangkat' => $request->pangkat,
            'jabatan' => $request->jabatan,
            'instansi' => $request->instansi,
            'kabupaten' => $request->kabupaten,
            'phone_number' => $request->phone_number,
            'pesan' => $request->pesan,
            'alamat' => $request->alamat,
            'nama_distrik' => $request->nama_distrik,
            'jumlah_kampung' => $request->jumlah_kampung,
            'jumlah_penduduk' => $request->jumlah_penduduk,
            'pendidikan' => $request->pendidikan,
            'atraksi' => $request->atraksi,
            'amenitas' => $request->amenitas,
            'aksesibilitas' => $request->aksesibilitas,
            'kelembagaan' => $request->kelembagaan,
            'jumlah_pokdarwis' => $request->jumlah_pokdarwis,
            'jarak_tempuh_bandara' => $request->jarak_tempuh_bandara,
            'jarak_tempuh_kampung' => $request->jarak_tempuh_kampung,
            'jenis_pelatihan' => $request->jenis_pelatihan,
            'kampung_binaan' => $request->kampung_binaan,
            'sharing_information' => $request->sharing_information,
        ];
        // dd($response);
        // Kembalikan respons JSON
        return response()->json(['data' => $response, 'message' => 'Data berhasil disimpan']);

    }
     public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Storedata_deswitaRequest $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(data_deswita $data_deswita)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(data_deswita $data_deswita)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Updatedata_deswitaRequest $request, data_deswita $data_deswita)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(data_deswita $data_deswita)
    {
        //
    }
}